## org.apache.lucene.benchmark.quality
Interface QualityQueryParser

All Known Implementing Classes:
  SimpleQQParser

    public interface QualityQueryParser

Parse a QualityQuery into a Lucene query.

Method Summary
`org.apache.lucene.search.Query` `parse(QualityQuery qq)` Parse a given QualityQuery into a Lucene query.

Method Detail

### parse

    org.apache.lucene.search.Query parse(QualityQuery qq)
                                         throws org.apache.lucene.queryParser.ParseException

  Parse a given QualityQuery into a Lucene query.

  Parameters:
    `qq` - the quality query to be parsed.
  Throws:
    `org.apache.lucene.queryParser.ParseException` - if parsing failed.